:root{
  --vw: 375;
  --base: 100vw;
  --color1: #EDE6D8;
  --color2: #01080D;
  --color3: #778583;
  --color4: #F9F703;
  --color5: #252B2B;
  --key1: #778583;
  --key2: #F9F703;
  --gra-v: linear-gradient(to bottom,#F9F703,#778583);
  --gra-h: linear-gradient(to right,#F9F703,#778583);
  --gra-r: linear-gradient(to right,#778583,#F9F703,#778583);
  interpolate-size: allow-keywords;
}

@media (min-width: 768px) {
  :root{
    --vw: 1144;
    --base: 100vw;
  }
}

@media (min-width: 1144px) {
  :root {
    --vw: 1;
    --base: 1px;
  }
}

.biz-udgothic {
  font-family: "BIZ UDGothic", sans-serif;
  font-style: normal;
}

.shippori-mincho-b1 {
  font-family: "Shippori Mincho B1", serif;
  font-style: normal;
}

.jetbrains-mono {
  font-family: "JetBrains Mono", monospace;
  font-optical-sizing: auto;
  font-style: normal;
}

/* ===============================================================================
Reset
=============================================================================== */
:where(html, body, div, span, applet, object, iframe, h1, h2, h3, h4, h5, h6, p, blockquote, pre, a,
abbr, acronym, address, big, cite, code, del, dfn, em, img, ins, kbd, q, s, samp, small, strike,
strong, sub, sup, tt, var, b, u, i, center, dl, dt, dd, ol, ul, li, fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td, article, aside, canvas, details, embed, figure,
figcaption, footer, header, hgroup, menu, nav, output, ruby, section, summary, time, mark, audio, video) {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}

/* HTML5 display-role reset for older browsers */
:where(article, aside, details, figcaption, figure, footer, header, hgroup, menu, nav, section) {
  display: block;
}

:where(ol, ul) {
  list-style: none;
}

blockquote, q {
  quotes: none;
}

blockquote:before, blockquote:after, q:before, q:after {
  content: "";
  content: none;
}

:where(table) {
  border-collapse: collapse;
  border-spacing: 0;
}

button {
  border: none;
}

input, textarea, button, select {
  font-family: inherit;
}

/* ===============================================================================
Body Setting
=============================================================================== */
html{
    margin: 0;
    scroll-behavior: auto;
    scroll-padding-top: calc(0 / var(--vw) * var(--base));
}

@media (min-width: 768px) {
    html {
        scroll-padding-top: 0px;
    }
}

body{
  position: relative;
  background-color: #01080D;
  color: var(--color1);
  font-family: "Shippori Mincho B1", serif;
  font-size: calc(16 / var(--vw) * var(--base));
  font-weight: 500;
  letter-spacing: 0.07em;
  line-height: calc(28/16);
}

@media (min-width: 768px){
  body{
    font-size: 16px;
    cursor: url("../img/cursor.svg") 8 8, auto;
  }
}

a {
  color: inherit;
  text-decoration: none;
}

@media (min-width: 768px) {
  a {
    transition: 0.6s ease;
  }

  a:hover {
    color: var(--color4);
    cursor: url("../img/cursor2.svg") 16 16, auto;
  }
}

img {
  vertical-align: top;
  max-width: 100%;
  height: auto;
}

picture {
  display: block;
}

:where(section){
  margin-block: calc(150 / var(--vw) * var(--base));
}

section :where(section){
  margin-block: calc(40 / var(--vw) * var(--base));
}

:first-child {
  margin-block-start: 0;
}

:last-child {
  margin-block-end: 0;
}

.noscroll {
  overflow: hidden;
}

.nowrap{
  white-space: nowrap;
}

.align-right{
  text-align: right;
}

.align-left {
  text-align: left;
}

.align-center {
  text-align: center;
}

.color1{
  color: var(--color1);
}

.color2{
  color: var(--color2);
}

.color3{
  color: var(--color3);
}

.color4{
  color: var(--color4);
}

@media (max-width: 767px) {
  .pc {
    display: none !important;
  }
}

@media (min-width: 768px) {
  .sp {
    display: none !important;
  }
}

/* ===============================================================================
Header
=============================================================================== */

#header{
  display: block;
  mix-blend-mode: screen;
}

.header-logo{
  display: flex;
  align-items: center;
  height: calc(72 / var(--vw) * var(--base));
  padding-inline: calc(21 / var(--vw) * var(--base));
}

.header-logo img{
  width: auto;
  height: calc(28 / var(--vw) * var(--base));
}

.header-graph{
  display: flex;
  align-items: center;
  gap: calc(12.4 / var(--vw) * var(--base));
  border-top: 1px solid var(--color5);
  border-bottom: 1px solid var(--color5);
  height: calc(30 / var(--vw) * var(--base));
  padding-inline: calc(16 / var(--vw) * var(--base));
  font-family: "JetBrains Mono", monospace;
  font-size: calc(9 / var(--vw) * var(--base));
  font-weight: 400;
  line-height: calc(22 / var(--vw) * var(--base));
}

.header-progress-bar,
.header-pos{
  display: none;
}

.header-depth{
  display: flex;
  align-items: center;
  gap: calc(7.6 / var(--vw) * var(--base));
}

.header-audio{
  box-sizing: border-box;
  border: 1px solid var(--color5);
  padding-inline: 1.0em;
}

@media (min-width: 768px){
  #header{
    position: sticky;
    top: 0;
    left: 0;
    z-index: 100;
    background: rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(2px);
    width: 100%;
    height: calc(110 / var(--vw) * var(--base));
    transition: 0.6s ease;
  }

  #header.is-active .header-graph{
    opacity: 1;
  }

  .header-logo{
    max-width: 80%;
    margin: auto;
  }

  .header-logo img{
    height: calc(22 / var(--vw) * var(--base));
  }

  .header-graph{
    display: grid;
    grid-template-columns: max-content 1fr max-content max-content;
    gap: calc(20 / var(--vw) * var(--base));
    opacity: 0;
    transition: 0.6s ease;
    height: calc(36 / var(--vw) * var(--base));
    font-size: calc(10 / var(--vw) * var(--base));
  }

  .header-progress-bar,
  .header-pos{
    display: inline-block;
  }

  .header-progress-bar{
    height: 1px;
    background: var(--color5);
  }

  .header-progress-bar-point{
    display: flex;
    align-items: center;
    justify-content: flex-end;
    width: 0%;
    height: 1px;
    background: var(--color4);
  }

  .header-progress-bar-point:after{
    content:"■";
    color: var(--color4);
  }
}

/* ===============================================================================
Footer
=============================================================================== */

#footer{
  border-top: 1px solid var(--color5);
  box-sizing: border-box;
  margin-block-start: calc(15 / var(--vw) * var(--base));
  margin-inline: auto;
  padding-inline: calc(16 / var(--vw) * var(--base));
  font-family: "JetBrains Mono", monospace;
  font-size: calc(11 / var(--vw) * var(--base));
  font-weight: 400;
}

.footer-inner{
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  aspect-ratio: 375/890;
  box-sizing: border-box;
  margin-inline: auto;
}

.footer-lead{
  display: flex;
  align-items: center;
  justify-content: center;
  aspect-ratio: 375/150;
  border-bottom: 1px solid var(--color5);
  width: calc(343 / var(--vw) * var(--base));
  margin-inline: auto;
  font-family: "Shippori Mincho B1", serif;
  font-size: calc(36 / var(--vw) * var(--base));
  font-weight: 500;
}

.footer-lead b{
  color: var(--color4);
}

.footer-logo{
  width: 100%;
  padding-block-start: calc(43 / var(--vw) * var(--base));
  padding-block-end: calc(50 / var(--vw) * var(--base));
  text-align: center;
}

.footer-logo img{
  width: auto;
  height: calc(84 / var(--vw) * var(--base));
  margin-inline: auto;
  mix-blend-mode: screen;
}

.footer-text1{
  width: calc(275 / var(--vw) * var(--base));
  margin-block-end: auto;
  margin-inline: auto;
}

.footer-text2{
  width: calc(275 / var(--vw) * var(--base));
  margin-inline: auto;
}

.footer-text3{
  display: flex;
  justify-content: space-between;
  padding-block-end: calc(8 / var(--vw) * var(--base));
  padding-inline: calc(16 / var(--vw) * var(--base));
  color: var(--color3);
  font-family: "JetBrains Mono", monospace;
  font-size: calc(10 / var(--vw) * var(--base));
  line-height: 2;
}

.footer-link{
  font-size: calc(13 / var(--vw) * var(--base));
  line-height: 1;
}

.footer-link li{
  margin-block-start: calc(20 / var(--vw) * var(--base));
}

.footer-copyright{
  display: flex;
  align-items: flex-start;
  justify-content: space-around;
  border-top: 1px solid var(--color5);
  width: 100%;
  height: calc(97 / var(--vw) * var(--base));
  margin-block-start: calc(70 / var(--vw) * var(--base));
  padding-block-start: calc(16 / var(--vw) * var(--base));
  color: var(--color3);
  font-family: "JetBrains Mono", monospace;
  font-size: calc(10 / var(--vw) * var(--base));
  line-height: 1;
}

.footer-wrap{
  display: contents;
}

.footer-cursor{
  animation: blink 0.8s step-end infinite;
}

@media (min-width: 768px){
  #footer{
    padding-inline: 0;
  }

  .footer-inner{
    box-sizing: border-box;
    aspect-ratio: auto;
    width: 100%;
    height: calc(598 / var(--vw) * var(--base));
    padding-block-end: calc(70 / var(--vw) * var(--base));
    padding-inline: calc(50 / var(--vw) * var(--base));
  }

  .footer-lead{
    justify-content: flex-start;
    aspect-ratio: 1184 / 160;
    width: 100%;
    max-width: 1184px;
    font-size: calc(64 / var(--vw) * var(--base));
  }

  .footer-wrap{
    display: flex;
    width: 100%;
    max-width: 1184px;
    margin-inline: auto;
  }

  .footer-logo{
    width: calc(286 / var(--vw) * var(--base));
    padding-block-start: calc(26.5 / var(--vw) * var(--base));
    padding-block-end: 0;
  }

  .footer-logo img{
    height: auto;
  }

  .footer-text1{
    width: max-content;
    margin-inline-start: calc(240 / var(--vw) * var(--base));
    margin-inline-end: 0;
    padding-block-start: calc(48 / var(--vw) * var(--base));
  }

  .footer-text2{
    width: max-content;
    margin-inline-start: calc(140 / var(--vw) * var(--base));
    padding-block-start: calc(48 / var(--vw) * var(--base));
  }

  .footer-text3{
    box-sizing: border-box;
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    padding-block-end: calc(16 / var(--vw) * var(--base));
    padding-inline: calc(50 / var(--vw) * var(--base));
  }

  .footer-copyright{
    align-items: flex-end;
    justify-content: space-between;
    width: 100%;
    height: auto;
    max-width: 1184px;
    margin-block-start: calc(150 / var(--vw) * var(--base));
    margin-inline: auto;
    padding-block-start: calc(24 / var(--vw) * var(--base));
  }
}

/* ===============================================================================
Contents
=============================================================================== */

#contents{
  margin-block: 0;
}

#fv{
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  position: relative;
  box-sizing: border-box;
  overflow: hidden;
  aspect-ratio: 375/667;
  margin-block-end: calc(100 / var(--vw) * var(--base));
  padding-block-start: calc(40 / var(--vw) * var(--base));
  font-family: "JetBrains Mono", monospace;
}

.h-fv{
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  aspect-ratio: 1/1;
  position: relative;
  width: calc(315 / var(--vw) * var(--base));
  background: url(../img/arg-contest-lader.svg) no-repeat center/contain;
}

.h-fv-lead{
  margin-block-end: calc(-10 / var(--vw) * var(--base));
  font-size: calc(10 / var(--vw) * var(--base));
}

.h-fv-title{
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  aspect-ratio: 348/124;
  position: relative;
  mix-blend-mode: screen;
  width: calc(348 / var(--vw) * var(--base));
  text-align: center;
}

.h-fv-title img{
  width: auto;
  height: calc(124 / var(--vw) * var(--base));
}

.h-fv-text{
  width: 90%;
  font-family: "Shippori Mincho B1", serif;
  font-size: calc(16 / var(--vw) * var(--base));
}

.h-fv-text:after{
  content: "■";
  display: inline-block;
  color: var(--color4);
  transform: scaleX(0.7) translateX(-50%);
  animation: blink 0.8s step-end infinite;
}

@keyframes blink {
  0%, 100% { opacity: 1; }
  50% { opacity: 0.4; }
}

.h-fv-echo{
  background: url("../img/arg-contest-echo.svg") no-repeat center/calc(280 / var(--vw) * var(--base));
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  animation: loop-rotation 12s linear infinite;
}

.h-fv-echo2{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  box-shadow: 0 0 80px rgba(249,247,3,0.1);
  opacity: 0;
  animation: loop-rotation 16s linear infinite, loop-opacity 8s linear infinite;
}

@keyframes loop-rotation {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

@keyframes loop-opacity {
  0%,90%{
    opacity: 0;
  }
  96% {
    opacity: 1;
  }
}

.fv-text,
.fv-text2,
.fv-text3{
  position: absolute;
  font-size: calc(10 / var(--vw) * var(--base));
  font-weight: 400;
  line-height: calc(16/10);
}

.fv-text{
  top: calc(9 / var(--vw) * var(--base));
  left: calc(16 / var(--vw) * var(--base));
}

.fv-text2{
  bottom: calc(9 / var(--vw) * var(--base));
  right: calc(16 / var(--vw) * var(--base));
}

.fv-text3{
  display: none;
}

.fv-scroll{
  position: relative;
  margin-block-start: calc(150 / var(--vw) * var(--base));
  font-size: calc(9 / var(--vw) * var(--base));
  font-weight: 700;
  letter-spacing: calc(2.17 / var(--vw) * var(--base));
  line-height: calc(34/18);
  text-align: center;
  animation: loop-floating 1.6s linear infinite;
}

@keyframes loop-floating {
  0%, 100% {
    transform: translateY(0%);
  }
  50% {
    transform: translateY(40%);
  }
}

.fv-scroll:after{
  content: "";
  display: block;
  position: absolute;
  top: 150%;
  left: 50%;
  background: var(--gra-v);
  width: 1px;
  height: calc(26 / var(--vw) * var(--base));
}

@media (min-width: 768px){
  #fv{
    aspect-ratio: auto;
    margin-block-end: calc(130 / var(--vw) * var(--base));
    padding-block: calc(72 / var(--vw) * var(--base));
  }

  .h-fv{
    width: calc(834 / var(--vw) * var(--base));
    background: url(../img/arg-contest-lader.svg) no-repeat center/contain;
  }

  .h-fv-title{
    width: auto;
    aspect-ratio: 891 / 318;
  }

  .h-fv-title img{
    width: auto;
    height: calc(318 / var(--vw) * var(--base));
  }

  .h-fv-lead{
    margin-block-end: calc(-10 / var(--vw) * var(--base));
    font-size: calc(11 / var(--vw) * var(--base));
  }

  .h-fv-text{
    width: 90%;
    font-family: "Shippori Mincho B1", serif;
    font-size: calc(32 / var(--vw) * var(--base));
  }

  .h-fv-text:after{
    content: "■";
    display: inline-block;
    color: var(--color4);
    transform: scaleX(0.7) translateX(-50%);
    animation: blink 0.8s step-end infinite;
  }

  .h-fv-echo{
    background: url("../img/arg-contest-echo.svg") no-repeat center/calc(740 / var(--vw) * var(--base));
  }

  .fv-text{
    top: calc(9 / var(--vw) * var(--base));
    left: calc(50 / var(--vw) * var(--base));
  }

  .fv-text2{
    bottom: calc(9 / var(--vw) * var(--base));
    right: calc(50 / var(--vw) * var(--base));
  }

  .fv-text3{
    display: block;
    top: calc(9 / var(--vw) * var(--base));
    right: calc(50 / var(--vw) * var(--base));
    text-align: right;
  }

  .fv-scroll{
    margin-block-start: calc(18 / var(--vw) * var(--base));
    font-size: calc(11 / var(--vw) * var(--base));
  }

  .fv-scroll:after{
    height: calc(32 / var(--vw) * var(--base));
  }
}

/* ===============================================================================
Introduction
=============================================================================== */

.introduction-inner{
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  position: relative;
  aspect-ratio: 280/890;
  box-sizing: border-box;
  border-top: 1px solid var(--color5);
  width: calc(280 / var(--vw) * var(--base));
  margin-inline: auto;
  padding-block-start: calc(100 / var(--vw) * var(--base));
}

.introduction-inner > div{
  transition: 0.8s ease;
}

.introduction-inner > div.hide{
  opacity: 0;
}

.introduction-inner > div p:not(:last-child){
  margin-block-end: 1.4em;
}

#introduction-lead{
  position: absolute;
  top: 50%;
  z-index: 10;
}

#blink-cursor{
  animation: blink 0.8s step-end infinite;
}

.introduction-text{
  font-family: "JetBrains Mono", monospace;
  font-size: calc(11 / var(--vw) * var(--base));
  font-weight: 400;
}

.introduction-text2{
  font-size: calc(12 / var(--vw) * var(--base));
  font-weight: 400;
}

.secret-text{
  display: inline-block;
  position: relative;
  text-decoration-line: underline;
  text-decoration-style: dashed;
  text-decoration-color: var(--color4);
  text-underline-offset: 0.2em;
}

.secret-text sup{
  display: inline-block;
  transform: translateY(-0.5em);
}

.c-hover-record{
  display: flex;
  flex-direction: column;
  justify-content: center;
  pointer-events: none;
  transition: 0.6s ease;
  transform: translateX(-50%);
  position: absolute;
  top: 100%;
  left: 50%;
  z-index: 50;
  opacity: 0;
  background-color: rgba(0,0,0,0.8);
  border: 1px solid var(--color4);
  box-sizing: border-box;
  width: calc(240 / var(--vw) * var(--base));
  padding: 1.0em;
  font-family: "JetBrains Mono", monospace;
  font-size: calc(11 / var(--vw) * var(--base));
  font-weight: 400;
  letter-spacing: 0.2em;
}

.secret-text:hover .c-hover-record{
  opacity: 1;
}

.c-hover-record span:nth-of-type(1){
  font-size: calc(8 / var(--vw) * var(--base));
}

@media (min-width: 768px){
  .introduction-inner{
    aspect-ratio: 1142/969;
    width: calc(1142 / var(--vw) * var(--base));
    padding-block-start: calc(100 / var(--vw) * var(--base));
    padding-block-end: calc(50 / var(--vw) * var(--base));
    padding-inline: calc(130 / var(--vw) * var(--base));
    font-size: calc(24 / var(--vw) * var(--base));
  }

  #introduction-lead{
    left: calc(130 / var(--vw) * var(--base));
  }

  #introduction-lead:hover,
  .secret-text:hover{
    cursor: url("../img/cursor2.svg") 16 16, auto;
  }

  .introduction-text2{
    font-size: calc(16 / var(--vw) * var(--base));
    text-align: right;
  }
}

/* ===============================================================================
Leakd Record
=============================================================================== */
#record1,
#record2,
#record3{
  position: fixed;
  z-index: 100;
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.5s ease, visibility 0.5s ease, transform 0.5s ease;
}

#record1.is-active,
#record2.is-active,
#record3.is-active {
  opacity: 1;
  visibility: visible;
  transform: translateX(0);
}

#record1{
  top: 50%;
  right: 0;
  transform: translateX(20%);
}

#record2{
  bottom: 5%;
  right: 0;
  transform: translateX(20%);
}

#record3{
  top: 80%;
  left: 0;
  transform: translateX(-20%);
}

.c-leaked-record{
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 0.5em;
  background: linear-gradient(to right,rgba(249,247,3,0.06) 0%, rgba(249,247,3,0) 60%);
  border-left: 1px solid var(--color4);
  width: max-content;
  height: calc(73 / var(--vw) * var(--base));
  margin-inline: calc(17 / var(--vw) * var(--base));
  padding-inline: 1.2em;
  font-family: "JetBrains Mono", monospace;
  font-size: calc(10 / var(--vw) * var(--base));
  font-weight: 400;
}

.c-leaked-record span:nth-of-type(1){
  opacity: 0.7;
  font-size: calc(9 / var(--vw) * var(--base));
}

.c-leaked-record span:nth-of-type(2){
  font-size: calc(11 / var(--vw) * var(--base));
}

#record1 .c-leaked-record,
#record2 .c-leaked-record{
  margin-inline-start: auto;  
}

@media (min-width: 768px){
  #record1{
    top: 50%;
    right: calc(64 / var(--vw) * var(--base));
    transform: translateX(20%);
  }

  #record2{
    bottom: 42%;
    right: calc(64 / var(--vw) * var(--base));
    transform: translateX(20%);
  }

  #record3{
    top: 60%;
    left: calc(64 / var(--vw) * var(--base));
    transform: translateX(-20%);
  }

  .c-leaked-record{
    min-width: calc(210 / var(--vw) * var(--base));
  }
}

/* ===============================================================================
Link
=============================================================================== */

#link{
  width: max-content;
  margin-block: calc(12 / var(--vw) * var(--base));
  margin-inline: auto;
}

.link-list{
  display: grid;
  grid-template-columns: 1fr;
  gap: calc(32 / var(--vw) * var(--base));
}

.link-button{
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  overflow: hidden;
  background: var(--color4);
  width: calc(300 / var(--vw) * var(--base));
  height: calc(100 / var(--vw) * var(--base));
  color: var(--color2);
  font-size: calc(24 / var(--vw) * var(--base));
  font-weight: 600;
}

.link-button:hover{
  color: var(--color2);
}

.link-button:not(.coming-soon):after{
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(1,8,13,0.1);
  transform: translateX(-50%);
  animation: button-slide 6s ease-in-out infinite;
}

@keyframes button-slide {
  0%, 10% { transform: translateX(-100%); }
  30%, 70% { transform: translateX(0%); }
  90%, 100% { transform: translateX(100%); }
}

.link-button.coming-soon{
  border: 1px solid var(--color3);
  background: var(--color5);
}

.label-buy-now{
  display: flex;
  align-items: center;
  position: absolute;
  top: calc(13 / var(--vw) * var(--base));
  left: calc(13 / var(--vw) * var(--base));
  background: var(--color2);
  width: max-content;
  height: calc(19 / var(--vw) * var(--base));
  padding-inline: 0.5em;
  color: var(--color4);
  font-family: "JetBrains Mono", monospace;
  font-size: calc(10.8 / var(--vw) * var(--base));
  font-weight: 500;
}

.label-coming-soon{
  position: absolute;
  top: 60%;
  left: 50%;
  transform: translateX(-50%);
  width: max-content;
  color: var(--color4);
  font-family: "JetBrains Mono", monospace;
  font-size: calc(13 / var(--vw) * var(--base));
  font-weight: 400;
}

@media (min-width: 768px){
  #link{
    margin-block: calc(130 / var(--vw) * var(--base));
  }

  .link-list{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: calc(24 / var(--vw) * var(--base));
  }

  .link-button{
    width: calc(365 / var(--vw) * var(--base));
    height: calc(130 / var(--vw) * var(--base));
    font-size: calc(32 / var(--vw) * var(--base));
  }

  .link-button:hover,
  .link-button:active{
    opacity: 1;
    text-decoration: none;
  }

  .label-buy-now{
    top: calc(16 / var(--vw) * var(--base));
    left: calc(16 / var(--vw) * var(--base));
    height: calc(22 / var(--vw) * var(--base));
    font-size: calc(13 / var(--vw) * var(--base));
  }

  .label-coming-soon{
    font-size: calc(16 / var(--vw) * var(--base));
  }
}

/* ===============================================================================
Observation Field
=============================================================================== */

.observation-title{
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: calc(12 / var(--vw) * var(--base));
  width: calc(280 / var(--vw) * var(--base));
  height: calc(100 / var(--vw) * var(--base));
  margin-inline: auto;
}

.observation-text{
  color: var(--color4);
  font-family: "JetBrains Mono", monospace;
  font-size: calc(11 / var(--vw) * var(--base));
  font-weight: 400;
  letter-spacing: calc(2.4 / var(--vw) * var(--base));
}

.observation-title h2{
  width: calc(210 / var(--vw) * var(--base));
}

#log{
  margin-block-start: calc(16 / var(--vw) * var(--base));
}

.log-panel{
  border: 1px solid var(--color5);
  box-sizing: border-box;
  background: rgba(1,8,13,0.55);
  width: calc(342 / var(--vw) * var(--base));
  padding-block: calc(16 / var(--vw) * var(--base));
  padding-inline: calc(17 / var(--vw) * var(--base));
  font-family: "JetBrains Mono", monospace;
  font-weight: 400;
}

.log-title{
  border-bottom: 1px solid var(--color5);
  height: calc(27/ var(--vw) * var(--base));
  margin-block-end: calc(12 / var(--vw) * var(--base));
  font-size: calc(10 / var(--vw) * var(--base));
  font-weight: 400;
}

.log-list-item{
  border-bottom: 1px dotted var(--color5);
  padding-block: calc(9 / var(--vw) * var(--base));
  padding-inline: calc(16 / var(--vw) * var(--base));
  font-size: calc(12 / var(--vw) * var(--base));
  font-weight: 400;
  line-height: calc(20 / 12);
}

.log-date{
  color: var(--color3);
  font-size: calc(8 / var(--vw) * var(--base));
  font-weight: 400;
}

@media (max-width: 767px){
  #observation{
    transition: 0.8s ease;
    transform: translateX(-140%);
    width: calc(342 / var(--vw) * var(--base));
    margin-block: calc(15 / var(--vw) * var(--base));
  }

  #observation.is-active{
    transform: translateX(0%);
  }
}

@media (min-width: 768px){
  #observation{
    position: fixed;
    bottom: calc(65 / var(--vw) * var(--base));
    left: calc(50 / var(--vw) * var(--base));
    z-index: 100;
    transition: 0.8s ease;
    transform: translateX(-140%);
    width: calc(342 / var(--vw) * var(--base));
    margin-block: 0;  
  }  

  #observation.is-active{
    transform: translateX(0%);
  }

  .log-button{
    display: inline-block;
    cursor: pointer;
  }

  .log-button:hover{
    cursor: url("../img/cursor2.svg") 16 16, auto;
  }
}

/* ===============================================================================
Right and Left Text
=============================================================================== */

.main-text1,
.main-text2{
  display: none;
}

@media (min-width: 768px){
  .main-text1,
  .main-text2{
    display: block;
    position: fixed;
    top: 50%;
    opacity: 0.6;
    color: var(--color3);
    font-size: calc(10 / var(--vw) * var(--base));
    writing-mode: vertical-rl;
    text-orientation: mixed;
  }

  .main-text1{
    left: calc(14 / var(--vw) * var(--base));
  }

  .main-text2{
    right: calc(25 / var(--vw) * var(--base));
  }
}

/* ===============================================================================
Word
=============================================================================== */

.p-word{
  position: relative;
  width: max-content;
  color: rgba(237,230,216,0.06);
  font-size: calc(220 / var(--vw) * var(--base));
  line-height: 1;
}

.p-word span{
  display: none;
}

#word{
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  overflow: hidden;
  box-sizing: border-box;
  position: absolute;
  top: 0;
  left: 0;
  z-index: -1;
  width: 100%;
  height: 100%;
  padding-block-start: calc(540 / var(--vw) * var(--base));
}

#word-1,
#word-3{
  transform: translateX(-10%);
}

#word-2,
#word-4{
  transform: translateX(10%);
  margin-inline-start: auto;
}

@media (min-width: 768px){
  .p-word{
    font-size: calc(460 / var(--vw) * var(--base));
  }

  .p-word span{
    display: block;
    position: absolute;
    opacity: 0.55;
    top: 50%;
    font-size: calc(11 / var(--vw) * var(--base));
  }

  #word{
    display: grid;
    grid-template-columns: 1fr;
    gap: calc(400 / var(--vw) * var(--base));
    overflow: hidden;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    width: 100%;
    height: auto;
    padding-block-start: calc(540 / var(--vw) * var(--base));
  }

  #word-1,
  #word-3{
    transform: translateX(-10%);
  }

  #word-2,
  #word-4{
    transform: translateX(10%);
    margin-inline-start: auto;
  }

  #word-1 span,
  #word-3 span{
    left: calc(80 / var(--vw) * var(--base));
  }

  #word-2 span,
  #word-4 span{
    right: calc(80 / var(--vw) * var(--base));
  }
}

/* ===============================================================================
Button Effect
=============================================================================== */

.link-list-item{
  position: relative;
}

.link-list-item::before,
.link-list-item::after {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  margin: auto;
  width: 100%;
  height: 100%;
  border: 1px solid var(--color3);
  box-sizing: border-box;
  pointer-events: none;
  opacity: 0;
}

.link-list-item:not(:has(.coming-soon)):hover{
  box-shadow: 0 0 20px var(--color3);
}

.link-list-item:not(:has(.coming-soon)):hover::before,
.link-list-item:not(:has(.coming-soon)):hover::after {
  animation: pulsate 1.5s linear infinite;
}

.link-list-item:not(:has(.coming-soon)):hover::after {
  animation-delay: 0.75s;
}

@keyframes pulsate {
  0% {
    transform: scale(1,1);
    opacity: 1;
  }

  100% {
    transform: scale(1.1, 1.3);
    opacity: 0;
  }
}

/* ===============================================================================
Glitch Effect
=============================================================================== */

:root {
  --f-size: 12;
  --f-unit: 1vmin;
  --f: calc(var(--f-size) * var(--f-unit));
  --bg: #181717; 
}

.h-fv-title.is-active {
  transform: scaleX(var(--scale, 1));
  animation: glitch-p 12s infinite alternate;
}

.h-fv-title.is-active figure::before,
.h-fv-title.is-active figure::after {
  --top: 0;        /* offset from top [0 - 10] */
  --left: 0.5;     /* offset from left [0.001 - 1] */
  --v-height: 30%; /* visible part */
  
  --n-tenth: calc(var(--f-size) * .1 * var(--top));
  --t-cut: calc(var(--n-tenth) / var(--f-size) * 100%);
  --b-cut: calc(var(--t-cut) + var(--v-height));
  
  content: "";
  background: url("../img/fv-logo.png") no-repeat center/contain;
  position: absolute;
  width: 100%;
  height: 100%;
  left: 0;
  text-align: center;
  
  transform: translateX(calc(var(--left) * 100%));
  
  /* this helps to get rid of pixelization */
  filter: drop-shadow(0 0 transparent); 
  
  text-shadow: calc(var(--left) * -3em) 0 .02em lime, 
                calc(var(--left) * -6em) 0 .02em #ff00e1;
  
  background-color: var(--bg);
  clip-path: polygon(0% var(--t-cut), 100% var(--t-cut), 100% var(--b-cut), 0% var(--b-cut));
} 
  
.h-fv-title.is-active figure::before {
  animation: glitch-b 1.7s infinite alternate-reverse;
}

.h-fv-title.is-active figure::after {
  animation: glitch-a 3.1s infinite alternate;
}

@keyframes glitch-p {
  17% { --scale: .87; }
  31% { --scale: 1.1; }
  37% { --scale: 1.2; }
  47% { --scale: .91; }
  87% { --scale: 1; }
}

@keyframes glitch-a {
  10%,30%,50%,70%,90% {
    --top: 0;
    --left: 0;
  }
  0% {
   --v-height: 15%; 
  }
  20% {
    --left: .005;
  }
  40% {
    --left: .01;
    --v-height: 20%;
    --top: 3;
  }
  60% {
    --left: .03;
    --v-height: 25%;
    --top: 6;
  }
  80% {
    --left: .07;
    --v-height: 5%;
    --top: 8;
  }
  100% {
    --left: .083;
    --v-height: 30%;
    --top: 1;
  }
}

@keyframes glitch-b {
    10%,30%,50%,70%,90% {
    --top: 0;
    --left: 0;
  }
  0% {
   --v-height: 15%; 
   --top: 10;
  }
  20% {
    --left: -.005;
  }
  40% {
    --left: -.01;
    --v-height: 17%;
    --top: 3;
  }
  60% {
    --left: -.03;
    --v-height: 35%;
    --top: 6;
  }
  80% {
    --left: -.07;
    --v-height: 5%;
    --top: 8;
  }
  100% {
    --left: -.083;
    --v-height: 30%;
    --top: 1;
  }
}